# Sourcecode for a skirt with blinking LEDs

## Hardware
* Arduino Uno or Arduino Nano
* 6 Strips of 15 WS2812 or equivalent 
* rotary encoder
* MPU6050 inertial measuring unit
* three colored LEDs
* 220Ohm resistor
* 100µF 50V capacitor

## Wiring
| Arduino Pin | Destination device  | Destination Pin |
|-------------|---------------------|-----------------|
| A2          | rotary encoder      | CLK             |
| A3          | rotary encoder      | DT              |
| A4          | MPU6050             | SDA             |
| A5          | MPU6050             | SCL             |
| D2          | rotary encoder      | SW              |
| D3          | led yellow          | positive        |
| D4          | led blue            | positive        |
| D5          | led red             | positive        |
| D6          | 1st strip of WS2812 | Din             |
| D7          | 2nd strip of WS2812 | Din             |
| D8          | 3rd strip of WS2812 | Din             |
| D9          | 4th strip of WS2812 | Din             |
| D10         | 5th strip of WS2812 | Din             |
| D11         | 6th strip of WS2812 | Din             |

## PCB Layout
### Top
#### Devices
* A02 through O08 Arduino Nano
* S01 through W01 rotary encoder
* J09 to J10 led yellow
* I09 to I10 led blue
* H09 to H10 led red

##### Connections
| Begin | End          | How   | Signal | What                    |
|-------|--------------|-------|--------|-------------------------|
| P09   | X02          | Wire  | 5V     | 5V for MPU6050          |
| Q09   | X04          | Wire  | GND    | GND for MPU6050         |
| R09   | I03          | Wire  | SCL    | SCL for MPU6050         |
| S09   | H03          | Wire  | SDA    | SDA for MPU6050         |


### Bottom
#### Devices
* B10 through I10 MPU6050

#### Connections
| Begin | End          | How    | Signal | What                                 |
|-------|--------------|--------|--------|--------------------------------------|
| M02   | Pad 02 left  | wire   | 5V     | 5V pin on arduino to common 5v pad   |
| M02   | Pad 02 right | wire   | 5V     | 5V pin on arduino to common 5v pad   |
| K02   | Pad 04 left  | wire   | GND    | GND pin on arduino to common GND pad |
| K02   | Pad 04 right | wire   | GND    | GND pin on arduino to common GND pad |
| F02   | Pad 04 left  | wire   | GND    | GND for rotary encoder               |
| E02   | Pad 02 left  | wire   | 5V     | + rotary encoder                     |
| D02   | N07          | Wire   | SW     | button in rotary encoder to D2       |
| C02   | R03          | Wire   | DT     | encoder to A3                        |
| B02   | S03          | Wire   | CLK    | encoder to A2                        |


